#!/bin/ash
#
# set_debugmode.sh:
# script to enable root logins for ssh and serial port
# and to create /var/run/PermitPrivTest that the CLI checks to permit 'priv test'
#

# ReturnOnError():
# Exit with an error code on error.
#
ReturnOnError() {
    if ! [ $1 -eq 0 ] ; then
        echo "Error in set_debugmode.sh"
    fi
}

# Create /var/run/PermitPrivTest as root
echo "" > /var/run/PermitPrivTest;
ReturnOnError $?;
